# -*- coding: utf-8 -*-
"""
Configuration IMPORT/EXPORT default device port configurations

**Version:** 2.1.0b1

**Author:** CloudGenix

**Copyright:** (c) 2017, 2018 CloudGenix, Inc

**License:** MIT

**Location:** <https://github.com/CloudGenix/cloudgenix_config>

#### Synopsis
Intended to be a small, lightweight SDK wrapper around the CloudGenix API for easy use.
Initial version requires knowledge of JSON/Dict objects for POST/PUT/PATCH operations.

#### Requirements
* Active CloudGenix Account
* Python >= 2.7 or >=3.6
* Python modules:
    * CloudGenix Python SDK >= 5.0.1b1 - <https://github.com/CloudGenix/sdk-python>

#### License
MIT

#### For more info
 * Get help and additional CloudGenix Documentation at <http://support.cloudgenix.com>
 * View the autogenerated documentation in the `docs/` directory, or at <https://cloudgenix.github.io/sdk-python/>.
 * View in-python help using `help()` functions. (example: `help(cgx_sess.get.login)`)
"""

__author__ = "CloudGenix Developer Support <developers@cloudgenix.com>"
__email__ = "developers@cloudgenix.com"
__copyright__ = "Copyright (c) 2017, 2018 CloudGenix, Inc"
__license__ = """
    MIT License

    Copyright (c) 2017, 2018 CloudGenix, Inc

    Permission is hereby granted, free of charge, to any person obtaining a copy
    of this software and associated documentation files (the "Software"), to deal
    in the Software without restriction, including without limitation the rights
    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
    copies of the Software, and to permit persons to whom the Software is
    furnished to do so, subject to the following conditions:

    The above copyright notice and this permission notice shall be included in all
    copies or substantial portions of the Software.

    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.
"""


member_port = """
            name: null
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            secondary_ip_configs: null
            static_arp_configs: null
            sub_interface: null
            tags:
            type: port
            used_for: none
            ipv6_config: null
            nat_address_v6: null
            nat_port_v6: 0
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            peer_bypasspair_wan_port_type: 'none'
            vrf_context_id: null
"""

default_backwards_bypasspairs = {
    "lan 1wan 1": "wan 1lan 1",
    "lan 2wan 2": "wan 2lan 2",
    "lan 3wan 3": "wan 3lan 3",
    "lan 4wan 4": "wan 4lan 4",
    "54": "45"
}


ion_3000 = """
          controller 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          controller 2:
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          internet 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: public
          internet 2:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: public
          internet bypass 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          internet bypass 2:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          lan 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          lan 2:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          lan 3:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          lan 4:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          wan 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          wan 1lan 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair:
              lan: lan 1
              lan_state_propagation: false
              use_relay: true
              wan: wan 1
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: bypasspair
            used_for: private
          wan 2:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          wan 2lan 2:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair:
              lan: lan 2
              lan_state_propagation: false
              use_relay: true
              wan: wan 2
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: bypasspair
            used_for: private
          wan 3:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          wan 3lan 3:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair:
              lan: lan 3
              lan_state_propagation: false
              use_relay: true
              wan: wan 3
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: bypasspair
            used_for: private
          wan 4:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          wan 4lan 4:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair:
              lan: lan 4
              lan_state_propagation: false
              use_relay: true
              wan: wan 4
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: bypasspair
            used_for: private
"""

ion_7000 = """
          '1':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '10':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '11':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '12':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '13':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '14':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '2':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: private
          '3':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '4':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '5':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '6':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '7':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '8':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '9':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          controller 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          controller 2:
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
"""

ion_2000 = """
          '1':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: public
          '2':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: public
          '3':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: public
          '4':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '5':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '45':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair:
              lan: '5'
              lan_state_propagation: false
              use_relay: true
              wan: '4'
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: bypasspair
            used_for: private
          controller:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
"""

ion_3102v = """
          '1':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: public
          '2':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          controller 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
"""

ion_1000 = """
          '1':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '2':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '3':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '4':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
"""

ion_9000 = """
          '1':
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '10':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '11':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '12':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '13':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '14':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '15':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '16':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '2':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: private
          '3':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '4':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '5':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '6':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '7':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '8':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          '9':
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config: null
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          controller 1:
            admin_up: true
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
          controller 2:
            admin_up: false
            attached_lan_networks: null
            bound_interfaces: null
            bypass_pair: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            ipv4_config:
              dhcp_config:
                client_id: null
                hostname: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            mac_address: null
            mtu: 1500
            nat_address: null
            nat_pools: null
            nat_port: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            pppoe_config: null
            scope: local
            service_link_config: null
            site_wan_interface_ids: null
            sub_interface: null
            tags:
            type: port
            used_for: none
"""

ion_5200 = """          
          '1':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: public
            vlan_config: null
          '10':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: true
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '11':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: true
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '12':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: true
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '13':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '14':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '15':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '16':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '17':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '18':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '19':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '2':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: public
            vlan_config: null
          '3':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '4':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '5':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '6':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '7':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '8':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '9':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: true
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
"""

ion_3200 = """          
          '1':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: public
            vlan_config: null
          '10':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: true
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '2':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: public
            vlan_config: null
          '3':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '4':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '5':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '6':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: false
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '7':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: true
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '8':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: true
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
          '9':
            admin_up: true
            attached_lan_networks: null
            authentication_config: null
            bound_interfaces: null
            bypass_pair: null
            cellular_config: null
            description: null
            devicemgmt_policysetstack_id: null
            dhcp_relay: null
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id: null
            ipfixcollectorcontext_id: null
            ipfixfiltercontext_id: null
            ipv4_config:
              dhcp_config: null
              dns_v4_config: null
              routes: null
              static_config: null
              type: dhcp
            ipv6_config: null
            lldp_enabled: true
            mac_address: null
            mtu: 1500
            multicast_config: null
            nat_address: null
            nat_address_v6: null
            nat_pools: null
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id: null
            network_context_id: null
            parent: null
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config: null
            scope: local
            secondary_ip_configs: null
            service_link_config: null
            site_wan_interface_ids: null
            static_arp_configs: null
            sub_interface: null
            switch_port_config: null
            tags: null
            type: port
            used_for: none
            vlan_config: null
"""

ion_9200 = """
          '1':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: public
            vlan_config:
          '10':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: true
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '11':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: true
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '12':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: true
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '13':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '14':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '15':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '16':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '17':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '18':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '19':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '2':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: public
            vlan_config:
          '20':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '21':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '22':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '23':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '24':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '25':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '3':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '4':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '5':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '6':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '7':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '8':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: false
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: false
            power_usage_threshold: 0
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
          '9':
            admin_up: true
            attached_lan_networks:
            authentication_config:
            bound_interfaces:
            bypass_pair:
            cellular_config:
            description: ''
            devicemgmt_policysetstack_id:
            dhcp_relay:
            directed_broadcast: false
            ethernet_port:
              full_duplex: false
              speed: 0
            interface_profile_id:
            ipfixcollectorcontext_id:
            ipfixfiltercontext_id:
            ipv4_config:
              dhcp_config:
              dns_v4_config:
              routes:
              static_config:
              type: dhcp
            ipv6_config:
            lldp_enabled: true
            mac_address:
            mtu: 1500
            multicast_config:
            nat_address:
            nat_address_v6:
            nat_pools:
            nat_port: 0
            nat_port_v6: 0
            nat_zone_id:
            network_context_id:
            parent:
            peer_bypasspair_wan_port_type: none
            poe_enabled: true
            power_usage_threshold: 100
            pppoe_config:
            scope: local
            secondary_ip_configs:
            service_link_config:
            site_wan_interface_ids:
            static_arp_configs:
            sub_interface:
            switch_port_config:
            tags:
            type: port
            used_for: none
            vlan_config:
"""

ion_1200 = """    
        '4':
          description: null
          type: port
          attached_lan_networks: null
          site_wan_interface_ids: null
          mac_address: null
          mtu: 1500
          ipv4_config: null
          dhcp_relay: null
          ethernet_port: 
            full_duplex: false
            speed: 0
          admin_up: false
          nat_address: null
          nat_port: 0
          used_for: none
          bound_interfaces: null
          sub_interface: null
          pppoe_config: null
          parent: null
          network_context_id: null
          bypass_pair: null
          service_link_config: null
          scope: local
          tags: null
        '3':
          description: null
          type: port
          attached_lan_networks: null
          site_wan_interface_ids: null
          mac_address: null
          mtu: 1500
          ipv4_config:
          dhcp_relay: null
          ethernet_port: 
            full_duplex: false
            speed: 0
          admin_up: false
          nat_address: null
          nat_port: 0
          used_for: none
          bound_interfaces: null
          sub_interface: null
          pppoe_config: null
          parent: null
          network_context_id: null
          bypass_pair: null
          service_link_config: null
          scope: local
          tags: null
        '2':
          description: null
          type: port
          attached_lan_networks: null
          site_wan_interface_ids: null
          mac_address: null
          mtu: 1500
          ipv4_config: null
          dhcp_relay: null
          ethernet_port: 
            full_duplex: false
            speed: 0
          admin_up: false
          nat_address: null
          nat_port: 0
          used_for: none
          bound_interfaces: null
          sub_interface: null
          pppoe_config: null
          parent: null
          network_context_id: null
          bypass_pair: null
          service_link_config: null
          scope: local
          tags: null
        '1':
          description: null
          type: port
          attached_lan_networks: null
          site_wan_interface_ids: null
          mac_address: null
          mtu: 1500
          ipv4_config:
          dhcp_relay: null
          ethernet_port: 
            full_duplex: false
            speed: 0
          admin_up: false
          nat_address: null
          nat_port: 0
          used_for: none
          bound_interfaces: null
          sub_interface: null
          pppoe_config: null
          parent: null
          network_context_id: null
          bypass_pair: null
          service_link_config: null
          scope: local
          tags: null
"""

ion_1200s = """
        '1':
          admin_up: true
          attached_lan_networks:
          authentication_config:
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
            dhcp_config:
            dns_v4_config:
            routes:
            static_config:
            type: dhcp
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
          tags:
          type: port
          used_for: public
          vlan_config:
        '2':
          admin_up: true
          attached_lan_networks:
          authentication_config:
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
            dhcp_config:
            dns_v4_config:
            routes:
            static_config:
            type: dhcp
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
          tags:
          type: port
          used_for: public
          vlan_config:
        '3':
          admin_up: true
          attached_lan_networks:
          authentication_config:
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
          tags:
          type: port
          used_for: none
          vlan_config:
        '4':
          admin_up: true
          attached_lan_networks:
          authentication_config:
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
            dhcp_config:
            dns_v4_config:
            routes:
            static_config:
            type: dhcp
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1500
          multicast_config:
            dr_priority: 1
            igmp_static_joins:
            igmp_version: IGMPV3
            multicast_enabled: false
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
          tags:
          type: port
          used_for: public
          vlan_config:
        '5':
          admin_up: true
          attached_lan_networks:
          authentication_config:
            mode: none
            reauthentication_timeout: 1800
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
            access_vlan_id:
            bpdu_guard_enabled: false
            forward_fast_enabled: true
            native_vlan_id:
            root_guard_enabled: false
            storm_control_config:
              broadcast_threshold: 1000
              multicast_threshold:
              unicast_threshold:
            stp_port_cost: 4
            stp_port_enabled: true
            stp_port_priority: 128
            trunk_vlans:
            vlan_mode: access
            voice_vlan_id:
          tags:
          type: switch_port
          used_for: switch-access
          vlan_config:
        '6':
          admin_up: true
          attached_lan_networks:
          authentication_config:
            mode: none
            reauthentication_timeout: 1800
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
            access_vlan_id:
            bpdu_guard_enabled: false
            forward_fast_enabled: true
            native_vlan_id:
            root_guard_enabled: false
            storm_control_config:
              broadcast_threshold: 1000
              multicast_threshold:
              unicast_threshold:
            stp_port_cost: 4
            stp_port_enabled: true
            stp_port_priority: 128
            trunk_vlans:
            vlan_mode: access
            voice_vlan_id:
          tags:
          type: switch_port
          used_for: switch-access
          vlan_config:
        '7':
          admin_up: true
          attached_lan_networks:
          authentication_config:
            mode: none
            reauthentication_timeout: 1800
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
          ipv6_config:
          lldp_enabled: true
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: true
          power_usage_threshold: 100
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
            access_vlan_id:
            bpdu_guard_enabled: false
            forward_fast_enabled: true
            native_vlan_id:
            root_guard_enabled: false
            storm_control_config:
              broadcast_threshold: 1000
              multicast_threshold:
              unicast_threshold:
            stp_port_cost: 4
            stp_port_enabled: true
            stp_port_priority: 128
            trunk_vlans:
            vlan_mode: access
            voice_vlan_id:
          tags:
          type: switch_port
          used_for: switch-access
          vlan_config:
        '8':
          admin_up: true
          attached_lan_networks:
          authentication_config:
            mode: none
            reauthentication_timeout: 1800
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
          ipv6_config:
          lldp_enabled: true
          mac_address:
          mtu: 1500
          multicast_config:
            dr_priority: 1
            igmp_static_joins:
            igmp_version: IGMPV3
            multicast_enabled: false
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: true
          power_usage_threshold: 100
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
            access_vlan_id:
            bpdu_guard_enabled: false
            forward_fast_enabled: true
            native_vlan_id:
            root_guard_enabled: false
            storm_control_config:
              broadcast_threshold: 1000
              multicast_threshold:
              unicast_threshold:
            stp_port_cost: 4
            stp_port_enabled: true
            stp_port_priority: 128
            trunk_vlans:
            vlan_mode: access
            voice_vlan_id:
          tags:
          type: switch_port
          used_for: switch-access
          vlan_config:
        '9':
          admin_up: true
          attached_lan_networks:
          authentication_config:
            mode: none
            reauthentication_timeout: 1800
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
          ipv6_config:
          lldp_enabled: true
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: true
          power_usage_threshold: 100
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
            access_vlan_id:
            bpdu_guard_enabled: false
            forward_fast_enabled: true
            native_vlan_id:
            root_guard_enabled: false
            storm_control_config:
              broadcast_threshold: 1000
              multicast_threshold:
              unicast_threshold:
            stp_port_cost: 4
            stp_port_enabled: true
            stp_port_priority: 128
            trunk_vlans:
            vlan_mode: access
            voice_vlan_id:
          tags:
          type: switch_port
          used_for: switch-access
          vlan_config:
        '10':
          admin_up: true
          attached_lan_networks:
          authentication_config:
            mode: none
            reauthentication_timeout: 1800
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
          ipv6_config:
          lldp_enabled: true
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: true
          power_usage_threshold: 100
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
            access_vlan_id:
            bpdu_guard_enabled: false
            forward_fast_enabled: true
            native_vlan_id:
            root_guard_enabled: false
            storm_control_config:
              broadcast_threshold: 1000
              multicast_threshold:
              unicast_threshold:
            stp_port_cost: 4
            stp_port_enabled: true
            stp_port_priority: 128
            trunk_vlans:
            vlan_mode: access
            voice_vlan_id:
          tags:
          type: switch_port
          used_for: switch-access
          vlan_config:
        cellular1:
          admin_up: true
          attached_lan_networks:
          authentication_config:
          bound_interfaces:
          bypass_pair:
          cellular_config:
            apn_config:
            apnprofile_id:
            auto_apn: true
            parent_module_id: cwan1
            parent_sim_slot_number: 1
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
            dhcp_config:
            dns_v4_config:
            routes:
            static_config:
            type: negotiated
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1428
          multicast_config:
            dr_priority: 1
            igmp_static_joins:
            igmp_version: IGMPV3
            multicast_enabled: false
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id: internet
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
          tags:
          type: cellular
          used_for: public
          vlan_config:
        cellular2:
          admin_up: true
          attached_lan_networks:
          authentication_config:
          bound_interfaces:
          bypass_pair:
          cellular_config:
            apn_config:
              apn:
              authentication: none
              clear_password: true
              password:
              user_name:
            apnprofile_id:
            auto_apn: true
            parent_module_id: cwan1
            parent_sim_slot_number: 2
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
            dhcp_config:
            dns_v4_config:
            routes:
            static_config:
            type: negotiated
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1428
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
          tags:
          type: cellular
          used_for: public
          vlan_config:
        vlan1:
          admin_up: false
          attached_lan_networks:
          authentication_config:
          bound_interfaces:
          bypass_pair:
          cellular_config:
          description: ''
          devicemgmt_policysetstack_id:
          dhcp_relay:
          directed_broadcast: false
          ethernet_port:
            full_duplex: false
            speed: 0
          interface_profile_id:
          ipfixcollectorcontext_id:
          ipfixfiltercontext_id:
          ipv4_config:
          ipv6_config:
          lldp_enabled: false
          mac_address:
          mtu: 1500
          multicast_config:
          nat_address:
          nat_address_v6:
          nat_pools:
          nat_port: 0
          nat_port_v6: 0
          nat_zone_id:
          network_context_id:
          parent:
          poe_enabled: false
          power_usage_threshold: 0
          pppoe_config:
          scope: local
          secondary_ip_configs:
          service_link_config:
          site_wan_interface_ids:
          static_arp_configs:
          sub_interface:
          switch_port_config:
          tags:
          type: vlan
          used_for: lan
          vlan_config:
            mstp_instance: 0
            vlan_id: 1
            voice_enabled: false
"""

ion_3104v = ion_3102v
ion_3108v = ion_3102v
ion_7108v = ion_3102v
ion_7116v = ion_3102v
ion_7132v = ion_3102v
ion_1200_c_row = ion_1200
ion_1200_c_na = ion_1200
ion_1200_c5g_ww = ion_1200
ion_1200_s_c5g_ww = ion_1200s
ion_1200_s_c_na = ion_1200s
ion_1200_s_c_row = ion_1200s

